@use 'sass/base';
@use 'sass/color';
@use 'sass/size';
@use 'sass/font';
@use 'sass/mixin';

button {
  color: color.$light-text;
}

.header-container {
  @include mixin.center-items();
  display: flex;
  flex-flow: row nowrap;
  position: relative;
  padding: 0;
  height: size.$header-size;
  background-color: color.$mat-blue;
}

.icon {
  flex: 0 0 0;
  position: relative;
  margin: size.$gap;
  left: 0;
  height: 2 * size.$text;
  cursor: pointer;
}

.title {
  font-family: font.$text;
  color: color.$light-text;
  cursor: pointer;
  span {
    color: color.$mat-light-blue;
  }
}

.language-selector {
  margin-right: size.$gap;
}
